#include<iostream>
using namespace std;
bool prosto(int chislo){
   int br=0;
   for(int del=1;del<=chislo/2;del++)
   {
       if(chislo%del==0)
          br++;
   }
   if(br==1)
      return true;
   return false;
}
int main(){
    long long n,pred=0;
    bool svyrshi=false;
    cin>>n;
    if(n==1 || prosto(n))
    {
        svyrshi=true;
        pred=1;
    }else{
        long long br=0;
        for(int del=1;del<=n;del++){
            if(n%del==0){
                br++;
            }
        }
        pred=br/3*2;
    }

    cout<<pred<<endl;
return 0;
}
